
Smart Proxy - Feature #10522

As a user i like to start Puppet runs via Rundeck

05/15/2015 01:14 PM - Anonymous

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Add support for Rundeck to the smart proxy.

History

#1 - 05/15/2015 01:32 PM - Eric Helms

- Project changed from Katello to Foreman

#2 - 05/18/2015 03:46 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category set to Puppet

#3 - 06/06/2016 08:02 AM - Dominic Cleal

- Status changed from New to Rejected

Thanks for reporting the issue, but I think it's very unlikely now for the Smart Proxy itself to ship this for two (new) reasons:

1. The smart proxy supports a customrun provider, which you can use to script any application, including against Rundeck's API. Configuration

information is in the manual: https://theforeman.org/manuals/1.12/index.html#4.3.6Puppet

2. The smart proxy in 1.12 now supports pluggable Puppet run providers, so we'd encourage someone to create a specialised plugin to interface to

Rundeck (like the Foreman core Rundeck plugin does). Plugin development information: 

http://projects.theforeman.org/projects/foreman/wiki/How_to_Create_a_Smart-Proxy_Plugin

Hope that helps.
